Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 413637 - www-client/chromium-19.0.1084.30 - chromium leaves processes behind after quitting
Summary: www-client/chromium-19.0.1084.30 - chromium leaves processes behind after qui...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chromium Project
URL: http://forums.gentoo.org/viewtopic-t-...
Whiteboard: ht-wanted
Keywords:
: 403449 498302 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-04-26 16:11 UTC by Pavel Volkov
Modified: 2015-06-02 14:13 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Back trace (gdb.txt,14.62 KB, text/plain)
2012-12-16 06:20 UTC, Mike Gilbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2012-04-26 16:11:36 UTC
I have Chromium 19.0.1084.30 installed now. It leaves several processes when I close all its windows. If I rerun it and exit again several times, those processes keep accumulating. Sometimes I see zombies.
Happens with a clean KDE profile and clean Chromium profile, too. After using it a little, maybe. Couldn't find any correlation with my user actions.
I have "running background apps" disabled.
I don't experience this in openSUSE with a close browser version, so decided to post here first.
Using gentoo-sources 3.3.2 as kernel.

Reproducible: Always

Steps to Reproduce:
1. Launch Chromium.
2. Close Chromium.
3. ps aux|grep chrom
Actual Results:  
[rondo:rondo]$ ps aux|grep chrom
rondo    20887  0.1  0.0 352680 16184 ?        S    19:56   0:00 /usr/lib64/chromium-browser/chrome --extra-plugin-dir=/usr/lib/nsbrowser/plugins
rondo    20889  0.0  0.0   6376   280 ?        S    19:56   0:00 /usr/lib64/chromium-browser/chrome_sandbox /usr/lib64/chromium-browser/chrome --type=zygote
rondo    20890  0.1  0.2 402376 37548 ?        S    19:56   0:00 /usr/lib64/chromium-browser/chrome --type=zygote
rondo    20896  0.0  0.1 214832 24472 ?        S    19:56   0:00 /usr/lib64/chromium-browser/nacl_helper_bootstrap /usr/lib64/chromium-browser/nacl_helper --at-zero --r_debug=0x0000000000213000
rondo    20923  0.0  0.1 505080 25804 ?        S    19:56   0:00 /usr/lib64/chromium-browser/chrome --extra-plugin-dir=/usr/lib/nsbrowser/plugins
rondo    20986  0.0  0.2 550408 47768 ?        S    19:56   0:00 /usr/lib64/chromium-browser/chrome --extra-plugin-dir=/usr/lib/nsbrowser/plugins
rondo    21109  0.0  0.0  10504   932 pts/1    S+   19:56   0:00 grep chrom


Expected Results:  
clean process list

Portage 2.2.0_alpha100 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.3, glibc-2.15-r1, 3.3.2-gentoomelf x86_64)
=================================================================
System uname: Linux-3.3.2-gentoomelf-x86_64-Intel-R-_Core-TM-_i5-2400_CPU_@_3.10GHz-with-gentoo-2.1
Timestamp of tree: Sun, 22 Apr 2012 16:45:01 +0000
app-shells/bash:          4.2_p24
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3, 3.2.2-r1
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.7
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.15-r1
Repositories: gentoo
Installed sets: @kde, @vim
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL skype-eula AdobeFlash-10.3 Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native -mtune=native"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://gentoo.bloodhost.ru/ http://mirror.yandex.ru/gentoo-distfiles/ http://trumpetti.atm.tut.fi/gentoo/"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_GB ru ja"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://gentoo.bloodhost.ru/gentoo-portage/"
USE="X a52 aac acl acpi alsa amd64 anthy bash-completion bluetooth branding bzip2 cairo cdda cdr cjk cli consolekit cracklib crypt cups cxx dbus declarative directfb djvu dri dts dvd dvdr emboss encode exif fam fbcon ffmpeg firefox flac fortran gdbm gdu gif glitz gpm gstreamer gtk iconv idn immqt-bc ipv6 jpeg kde kipi lame lcms libcaca libnotify lm_sensors m17n-lib mad matroska mmx mng modules mp3 mp4 mpeg mplayer mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl phonon plasma png policykit ppds pppd python qt3support qt4 raw readline sdl semantic-desktop session spell sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype udev unicode usb vdpau vorbis wxwidgets x264 xcb xcomposite xinerama xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB ru ja" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fastcgi geo gzip limit_req limit_zone map memcached proxy referer rewrite scgi split_clients ssi upstream_ip_hash userid uwsgi flv" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="vesa nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Mike Gilbert gentoo-dev 2012-04-26 19:31:55 UTC
I have also been seeing this behavior with >=www-client/google-chrome-19.
Comment 2 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-04-27 19:55:21 UTC
(In reply to comment #1)
> I have also been seeing this behavior with >=www-client/google-chrome-19.

That suggests an upstream thing. Just checking: do you have "Background apps: Continue running background apps when Chromium is closed" enabled in the settings?

See also http://support.google.com/chrome/bin/answer.py?hl=en&answer=1184722
Comment 3 Pavel Volkov 2012-04-27 20:02:44 UTC
No, I have this box unchecked.
Comment 4 Mike Gilbert gentoo-dev 2012-04-28 05:36:46 UTC
I actually still had that enabled. 

I disabled it this afternoon, and I still seem to get processes left over. It only seems to happen when I have actually been using the browser for several minutes.
Comment 5 Julien Sanchez archtester 2012-05-10 11:32:43 UTC
It also occurs with chromium-9999 (20.0.1131.0 (136001)).

I used an empty clean profile. I just launched chromium and immediately quit it (about 3 seconds):

$ pstree -a -n -p

-------

  ├─chrome,32396
  ├─chrome_sandbox,32398 /usr/lib64/chromium-browser-live/chrome --type=zygote --user-data-dir=/tmp/tmp.f0TsLppyxr
  │   └─chrome,32399
  │       └─nacl_helper_boo,32406 /usr/lib64/chromium-browser-live/nacl_helper --at-zero --r_debug=0x0000000000213000
  └─Chrome_ProcessL,32432

-------

If I quit very very fast, it could not happen (but not always)

There's a remaining Chrome_ProcessL process. Could it be related to http://code.google.com/p/chromium/issues/detail?id=123583 ?


------------------------------------------------
$ emerge --info chromium
Portage 2.2.0_alpha103 (default/linux/amd64/10.0/desktop/gnome, gcc-4.5.3, glibc-2.15-r1, 3.2.1-gentoo-r2 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.2.1-gentoo-r2-x86_64-Intel-R-_Core-TM-_i7_CPU_920_@_2.67GHz-with-gentoo-2.1
Timestamp of tree: Thu, 10 May 2012 06:00:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.7 [disabled]
app-shells/bash:          4.2_p28
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.6.8, 2.7.3-r2, 3.1.5, 3.2.3-r1
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.8-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.7
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.15-r1
Repositories: gentoo lim enlightenment betagarden vmware sunrise gentooboontoo
Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.3 dlj-1.1 googleearth google-talkplugin Oracle-BCLA-JavaSE PUEL skype-eula"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -ggdb"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --quiet-build=n"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles installsources news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en fr"
MAKEOPTS="-j7"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/cache/portage"
PORTDIR_OVERLAY="/var/lib/layman/lim /var/lib/layman/enlightenment /var/lib/layman/betagarden /var/lib/layman/vmware /var/lib/layman/sunrise /home/julien/repositories/gentooboontoo/gentooboontoo-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam ffmpeg firefox flac fontconfig fortran gdbm gdu gif gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv ipv6 jpeg lcms libnotify mad mmx mng modules mono mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl nsplugin ogg opengl openmp pam pango pcre pdf png policykit ppds pppd pulseaudio qt4 readline samba sdl session smp socialweb spell sse sse2 ssl startup-notification svg tcpd theora tiff truetype udev unicode usb v4l2 vorbis vpx wav wxwidgets x264 xcb xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="lvm" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en fr" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

www-client/chromium-9999-r1 was built with the following:
USE="cups gnome gnome-keyring (multilib) -bindist -custom-cflags -kerberos -pulseaudio (-selinux) -test" LINGUAS="fr -am -ar -bg -bn -ca -cs -da -de -el -en_GB -es -es_LA -et -fa -fi -fil -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt_BR -pt_PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh_CN -zh_TW"
Comment 6 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-15 14:44:37 UTC
Do you have PID_NS enabled in the running kernel? How about NET_NS?

Please post answer to the above questions whether you can reproduce the issue or not (and say whether you see the bug or not).
Comment 7 Pavel Volkov 2012-05-15 17:12:51 UTC
Both PID_NS and NET_NS set to "yes". I reported the bug.
Comment 8 Ambroz Bizjak 2012-05-15 20:10:48 UTC
I have been experiencing the same problem. In was random - sometimes it shut down nicely, sometimes it left those processes consuming ~1% CPU. Gdb showed that it is a problem related to Chrome's custom malloc (tcmalloc) in combination with the Nvidia drivers (in particular, the driver calling tcmalloc's malloc(), and the malloc waiting for something that never happened).

I was able to work around it by disabling tcmalloc in the ebuild:

         if ! use bindist; then
                 # Enable H.624 support in bundled ffmpeg.
                 myconf+=" -Dproprietary_codecs=1 -Dffmpeg_branding=Chrome"
         fi

+        myconf+=" -Dlinux_use_tcmalloc=0"

         local myarch="$(tc-arch)"
         if [[ $myarch = amd64 ]] ; then
Comment 9 Mike Gilbert gentoo-dev 2012-05-16 00:13:21 UTC
(In reply to comment #6)
> Do you have PID_NS enabled in the running kernel? How about NET_NS?

Yes to both. I experience the problem.

I also use nvidia-drivers, so comment 8 could be on to something.
Comment 10 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-16 06:19:51 UTC
(In reply to comment #9)
> (In reply to comment #6)
> > Do you have PID_NS enabled in the running kernel? How about NET_NS?
> 
> Yes to both. I experience the problem.
> 
> I also use nvidia-drivers, so comment 8 could be on to something.

OK, and does disabling tcmalloc (-Dlinux_use_tcmalloc=0) fix the problem for you? I think it would be reasonable to disable tcmalloc in this case.

To everyone else: if you see this problem and -Dlinux_use_tcmalloc does _not_ fix it for you, please post here.
Comment 11 Julien Sanchez archtester 2012-05-16 06:25:09 UTC
I use nvidia-drivers too and have both PID_NS and NET_NS enabled.
Comment 12 Julien Sanchez archtester 2012-05-16 06:58:48 UTC
I don't know if it could bring some useful information but I downloaded a nightly chromium build (http://commondatastorage.googleapis.com/chromium-browser-continuous/index.html?path=Linux_x64/137362/) and tried to reproduced the problem.

When using this build (with an empty profile as usual), I don't have remaining processes.

Since I'm using chromium-9999 (137081), I don't think any fix has been released between so it seems gentoo related.
Comment 13 Gerard Neil 2012-05-16 12:11:42 UTC
Using chrome 18.0.1025.168, amd64 (mostly) stable system, nvidia-drivers-295.49, with PID_NS and NET_NS set to Y.

Disabling tcmalloc fixes the problem for me.
Comment 14 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-16 15:13:50 UTC
Please test 20.0.1132.8 with disabled tcmalloc. I'll leave the bug open until this also lands in 19.x.
Comment 15 Julien Sanchez archtester 2012-05-16 15:54:06 UTC
At first sight, chromium-20.0.1132.8 doesn't leave processes after quitting.
Comment 16 Mike Gilbert gentoo-dev 2012-05-16 19:28:29 UTC
To state the obvious: Disabling tcmalloc is not an option for google-chrome, unless there is some way to do it at run time.
Comment 17 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-17 06:22:07 UTC
This is now also backported to chromium-19.0.1084.46-r1.

If google-chrome has issues, please report them upstream.
Comment 18 Ambroz Bizjak 2012-05-19 09:19:59 UTC
Is this really fixed for Chromium 19? I don't see the

myconf+=" -Dlinux_use_tcmalloc=0"

line in chromium-19.0.1084.46-r1.ebuild, only some patch was added.
Comment 19 Panard 2012-05-19 09:30:04 UTC
I confirm that adding myconf+=" -Dlinux_use_tcmalloc=0" fixed the problem
and that the new ebuild (19xxx-r1) still contains the bug.
Comment 20 Alexandre 2012-05-19 09:47:50 UTC
*** Bug 403449 has been marked as a duplicate of this bug. ***
Comment 21 Gerard Neil 2012-05-19 10:10:23 UTC
As Panard says, not yet fixed in 19.0.1084.46-r1.

The chromium-tcmalloc-r1.patch only does anything if USE_TCMALLOC is NOT defined, however linux_use_tcmalloc=1 is the default and the ebuild leaves it this way.
Comment 22 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-19 14:59:07 UTC
(In reply to comment #18)
> Is this really fixed for Chromium 19? I don't see the
> 
> myconf+=" -Dlinux_use_tcmalloc=0"
> 
> line in chromium-19.0.1084.46-r1.ebuild, only some patch was added.

Oops you're right, -r2 should be really fixed (I also updated the patch). Thank you for the notice!
Comment 23 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-31 17:55:55 UTC
(In reply to comment #8)
> I have been experiencing the same problem. In was random - sometimes it shut
> down nicely, sometimes it left those processes consuming ~1% CPU. Gdb showed
> that it is a problem related to Chrome's custom malloc (tcmalloc) in
> combination with the Nvidia drivers (in particular, the driver calling
> tcmalloc's malloc(), and the malloc waiting for something that never
> happened).

Ambroz, any chance you can get a gdb stacktrace when that happens (please re-enable tcmalloc locally, the same way you've disabled it before)?

I'm talking with upstream (https://groups.google.com/a/chromium.org/forum/#!topic/chromium-dev/uLf5l669dCk) and it might get fixed in the process.
Comment 24 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-12-15 22:08:52 UTC
To people who could reproduce this problem with tcmalloc:

could you please test unmasking tcmalloc USE flag for www-client/chromium, enabling that flag, and report here whether problems are still there? If possible, please capture stack traces of hung processes with gdb.

Here is how I unmasked the flag:

mkdir -p /etc/portage/profile
echo "www-client/chromium -tcmalloc" >> /etc/portage/profile/package.use.mask
Comment 25 Mike Gilbert gentoo-dev 2012-12-16 06:20:28 UTC
Created attachment 332444 [details]
Back trace

Still there in 25.0.1354.0. Back trace attached.

I see libGL.so.1 in frame 11, so I assume this is the same issue with nvidia-drivers.
Comment 26 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-12-17 19:52:24 UTC
(In reply to comment #25)
> Created attachment 332444 [details]
> Back trace
> 
> Still there in 25.0.1354.0. Back trace attached.
> 
> I see libGL.so.1 in frame 11, so I assume this is the same issue with
> nvidia-drivers.

Excellent! I've forwarded things upstream. Could you just post your version of nvidia-drivers for reference, and info about your graphics card if possible?
Comment 27 Mike Gilbert gentoo-dev 2012-12-17 23:06:42 UTC
It's nvidia-drivers-310.19.

From Xorg.0.log:

[1602368.123] (II) NVIDIA(0): NVIDIA GPU GeForce 8600 GTS (G84) at PCI:1:0:0 (GPU-0)
[1602368.123] (--) NVIDIA(0): Memory: 262144 kBytes
[1602368.123] (--) NVIDIA(0): VideoBIOS: 60.84.18.00.02
Comment 28 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-12-18 02:09:19 UTC
(In reply to comment #27)
> It's nvidia-drivers-310.19.

Thank you so much. One more question: is the stack trace from the child process or from the parent process? My guess is the child, but since I don't have the hardware I'm asking to be sure.
Comment 29 Mike Gilbert gentoo-dev 2012-12-18 02:31:34 UTC
(In reply to comment #28)

If you look at Julien's pstree output in comment 5, the stack trace is from the process labeled "Chrome_ProcessL" (pid 32432).

If I send signal 15 to it twice, it dies and the other processes end.
Comment 30 Andrew Dabrowski 2013-05-26 17:57:20 UTC
Since nvidia opengl also conflicts with the netflix wine hack, I've taken to setting

eselect opengl set xorg-x11

except when I'm playing a game.  This also solves the Chrome hanging processes problem.
Comment 31 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2013-11-21 01:00:28 UTC
To all who could reproduce this issue:

Please test with nvidia-drivers-331.20. You'd need to enable tcmalloc for that.

First unmask tcmalloc use flag:

mkdir -p /etc/portage/profile
echo "www-client/chromium -tcmalloc" >> /etc/portage/profile/package.use.mask

Then re-emerge chromium with USE=tcmalloc.

Please report the results.
Comment 32 PM 2013-11-21 08:26:09 UTC
Does the binary www-client/google-chrome use tcmalloc?
Comment 33 PM 2013-11-21 08:29:45 UTC
Oops, just noticed your "see also" link a moment after posting. Sorry.

In that case it seems to be fixed, at least for google-chrome.
Comment 34 Julien Sanchez archtester 2013-11-21 12:54:40 UTC
I don't have remaining stale processes but it segfaults when I quit. I still have to check if it is due to my version of chromium or enabled tcmalloc/aura USE flags.

# emerge --info chromium nvidia-drivers

www-client/chromium-33.0.1711.3 was built with the following:
USE="aura cups gnome gnome-keyring tcmalloc -bindist -custom-cflags -kerberos (-neon) -pulseaudio (-selinux) (-system-sqlite) -test" LINGUAS="fr -am -ar -bg -bn -ca -cs -da -de -el -en_GB -es -es_LA -et -fa -fi -fil -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt_BR -pt_PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh_CN -zh_TW"

x11-drivers/nvidia-drivers-331.20 was built with the following:
USE="X acpi (multilib) tools -pax_kernel"


Core dump:

Core was generated by `/usr/lib64/chromium-browser/chrome --extra-plugin-dir=/usr/lib64/'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f61728a0018 in Browser::TabDeactivated (this=0x7f615e297180, contents=0x3a83443ea500) at ../../chrome/browser/ui/browser.cc:1025
1025	../../chrome/browser/ui/browser.cc: No such file or directory.
(gdb) bt
#0  0x00007f61728a0018 in Browser::TabDeactivated (this=0x7f615e297180, contents=0x3a83443ea500) at ../../chrome/browser/ui/browser.cc:1025
#1  0x00007f61728e4723 in NotifyIfTabDeactivated (contents=0x3a83443ea500, this=0x7f615e395cf0) at ../../chrome/browser/ui/tabs/tab_strip_model.cc:1272
#2  TabStripModel::NotifyIfTabDeactivated (this=0x7f615e395cf0, contents=0x3a83443ea500) at ../../chrome/browser/ui/tabs/tab_strip_model.cc:1270
#3  0x00007f61728e5f48 in TabStripModel::DetachWebContentsAt (this=0x7f615e395cf0, index=index@entry=0) at ../../chrome/browser/ui/tabs/tab_strip_model.cc:419
#4  0x00007f6172903f47 in BrowserView::~BrowserView (this=0x7f615e049380, __in_chrg=<optimized out>) at ../../chrome/browser/ui/views/frame/browser_view.cc:468
#5  0x00007f6172904289 in BrowserView::~BrowserView (this=0x7f615e049380, __in_chrg=<optimized out>) at ../../chrome/browser/ui/views/frame/browser_view.cc:473
#6  0x00007f6172dfc4c0 in views::View::~View (this=0x3a8341595000, __in_chrg=<optimized out>) at ../../ui/views/view.cc:186
----snip----
Comment 35 Pavel Volkov 2013-11-21 15:12:52 UTC
Original poster here :)
Chromium 32 with tcmalloc and nvidia 331.20: no processes are left behind.
Comment 36 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2013-11-21 16:48:20 UTC
(In reply to Julien Sanchez from comment #34)
> I don't have remaining stale processes but it segfaults when I quit. I still
> have to check if it is due to my version of chromium or enabled
> tcmalloc/aura USE flags.

I suspect the crash on exit is because of Aura. Please report it upstream (make sure to say you've enabled Aura, upstream shipped 33.0.1711.3 with Aura disabled) and post link here.

If you can still reproduce the crash on exit with USE=-tcmalloc, that's obvious sign that tcmalloc is not related.

(In reply to Pavel Volkov from comment #35)
> Original poster here :)
> Chromium 32 with tcmalloc and nvidia 331.20: no processes are left behind.

Sounds good, I plan to unmask tcmalloc flag (and probably eventually just always use tcmalloc) and block on nvidia-drivers older than 331.20. Thank you very much for testing.
Comment 37 Mike Gilbert gentoo-dev 2013-11-21 18:35:03 UTC
(In reply to Paweł Hajdan, Jr. from comment #36)
> Sounds good, I plan to unmask tcmalloc flag (and probably eventually just
> always use tcmalloc) and block on nvidia-drivers older than 331.20. Thank
> you very much for testing.

Keep in mind that there are people with older video cards that are unable to upgrade to newer nvidia-drivers.

If you add a blocker, make sure you keep it behind a use-flag conditional.
Comment 38 Julien Sanchez archtester 2013-11-22 14:04:18 UTC
(In reply to Paweł Hajdan, Jr. from comment #36)
> I suspect the crash on exit is because of Aura. Please report it upstream
> (make sure to say you've enabled Aura, upstream shipped 33.0.1711.3 with
> Aura disabled) and post link here.
> 
> If you can still reproduce the crash on exit with USE=-tcmalloc, that's
> obvious sign that tcmalloc is not related.

Paweł, the crash is not related to tcmalloc. I could reproduce without it (and with an initially empty profile).
I reported this crash issue upstream: https://code.google.com/p/chromium/issues/detail?id=322516
Comment 39 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2013-11-23 19:12:32 UTC
(In reply to Mike Gilbert from comment #37)
> Keep in mind that there are people with older video cards that are unable to
> upgrade to newer nvidia-drivers.
> 
> If you add a blocker, make sure you keep it behind a use-flag conditional.

Thanks for the reminder, that's a good catch - done.
Comment 40 Ville Aakko 2013-12-06 08:11:26 UTC
Hi!

Sorry for commenting a "RESOLVED FIXED" bug, but I think that making chromium block all <nvidia-drivers-331.20 might have been too drastic a solution, since

1) I have never experienced this bug with any combination of nvidia-drivers and chromium (with tmalloc use flag enabled. What is aura? Can't find such a use flag). Anyways, it does not affect everyone, for some there are no issues with chromium & nvidia-drivers. I came here only because I started searching, why is chromium blocking my nvidia-drivers suddenly...

2) All >nvidia-drivers-319.49 cause in certain, as so far unknown kernel configurations, zombie processes (including nvidia-drivers-331.20 and possibly newer) which make the system unusable for some (whether they use chromium or not). As for now, I'm forced to use 319-49. In combination with this block, I need to make a copy of the chromium ebuild into my local overlay until bug #487558 is resolved.

Just FYI.

Cheers!
Comment 41 Mike Gilbert gentoo-dev 2013-12-06 14:54:13 UTC
(In reply to Ville Aakko from comment #40)
> 1) I have never experienced this bug with any combination of nvidia-drivers and chromium (with tmalloc use flag enabled.

That's interesting feedback; I don't think we ever asked for people who could NOT reproduce the problem with nvidia-drivers.

> As for now, I'm forced to use 319-49. In combination with
> this block, I need to make a copy of the chromium ebuild into my local
> overlay until bug #487558 is resolved.
> 

Or you could just add www-client/chromium -tcmalloc to /etc/portage/package.use. In theory, it is a performance hit, but I never noticed it.
Comment 42 Alex Xu (Hello71) 2014-01-17 00:48:44 UTC
*** Bug 498302 has been marked as a duplicate of this bug. ***
Comment 43 Nico Baggus 2014-01-17 18:17:36 UTC
I fail to see why non-building due to dependencies has anything to do with issues i don't have with x11-drivers/nvidia-drivers-304.117
This surely isn't a a duplicate of 

It may be inter dependant / linked / blocking etc. but I surely have no problems with this driver.

I cannot update my system now unless I block chromium updates, that's a more severe issue.

https://bugs.gentoo.org/show_bug.cgi?id=413637
Comment 44 Maks Verver 2014-01-17 23:25:39 UTC
Why have all nvidia legacy drivers now been disallowed by default?  The bug reports in this thread and the linked chromium bug reports all seem related to the 300+ driver series.  Is there any evidence to suggest that the problem occurs with tcmalloc and nvidia legacy drivers too?  

If there is no evidence of any problems related to legacy drivers, it makes no sense to force users of legacy drivers to disable the tcmalloc USE flag just to use chromium.
Comment 45 Jeroen Roovers gentoo-dev 2014-01-18 15:27:52 UTC
(In reply to Nico Baggus from comment #43)
> I cannot update my system now unless I block chromium updates, that's a more
> severe issue.

You mean that you find it is impossible to set USE=-tcmalloc?
Comment 46 Jeroen Roovers gentoo-dev 2014-01-18 15:34:12 UTC
Why didn't anyone ever mention this to Nvidia or x11-drivers/nvidia-drivers' maintainers? Blocking a total of four older branches makes no sense at all, as all but the oldest have seen updates since this bug report was closed as supposedly fixed.
Comment 47 Nico Baggus 2014-01-18 16:04:37 UTC
@jer:

No i wasn't aware that this was the only thing.
And the story above seems to put emphasis on using tcmalloc..
from the chromium package, well i'll see how this works out.
Comment 48 Jeroen Roovers gentoo-dev 2014-01-20 01:13:04 UTC
*** Bug 498302 has been marked as a duplicate of this bug. ***
Comment 49 diamond 2015-06-02 07:04:22 UTC
x11-drivers/nvidia-drivers has several pools of versions for different products. For example, I have nVidia GeForce 7600 GS 512 MB. Also I have 
>=x11-drivers/nvidia-drivers-305.0.0 
in /etc/portage/package.mask.
The latest version I have installed is x11-drivers/nvidia-drivers-304.125 which updates periodically to some 304.XXX version. Somebody wrote tcmalloc? ( !<x11-drivers/nvidia-drivers-331.20 )" in chromium ebuild. That means that all legacy nVidia cards were banned to use tcmalloc. Is there any real reason for such ban?
Comment 50 Nico Baggus 2015-06-02 08:55:41 UTC
is it time for a NEW entry?

Chromium-19 is so 2012...

Current version: 43.0.2357.65

Original issue was about left processes..., this is about dependencies.
Or dies chromium-43 still leave processes behind.
Comment 51 Pavel Volkov 2015-06-02 09:51:51 UTC
I agree. Original issue was fixed for me in 2013. If anyone has it, feel free to re-open.
Comment 52 diamond 2015-06-02 14:13:11 UTC
That's funny. Bug #498302 was marked as duplicate of this bug. And this bug was closed. Reopen the bug #498302 then.